Namespaces - List Authorization Rules
Aturan otorisasi untuk namespace.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Relay/namespaces/{namespaceName}/authorizationRules?api-version=2017-04-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
|
Nama namespace |
|
resource
|
path | True |
|
Nama grup Sumber Daya dalam langganan Azure. |
|
subscription
|
path | True |
|
Info masuk langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan. |
|
api-version
|
query | True |
|
Versi API klien. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Aturan otorisasi namespace berhasil dikembalikan. |
|
| Other Status Codes |
Respons kesalahan relai yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
RelayNameSpaceAutorizationRuleListAll
Sample Request
GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-01/authorizationRules?api-version=2017-04-01
Sample Response
{
"value": [
{
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-01/AuthorizationRules/RootManageSharedAccessKey",
"name": "RootManageSharedAccessKey",
"type": "Microsoft.Relay/Namespaces/AuthorizationRules",
"properties": {
"rights": [
"Listen",
"Manage",
"Send"
]
}
},
{
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-01/AuthorizationRules/example-RelayAuthRules-01",
"name": "example-RelayAuthRules-01",
"type": "Microsoft.Relay/Namespaces/AuthorizationRules",
"properties": {
"rights": [
"Listen",
"Send"
]
}
}
]
}
Definisi
|
Authorization |
Deskripsi aturan otorisasi namespace. |
|
Authorization |
Respons dari operasi namespace daftar. |
|
Error |
Respons kesalahan menunjukkan layanan Relay tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan. |
AuthorizationRule
Deskripsi aturan otorisasi namespace.
| Name | Type | Description |
|---|---|---|
| id |
|
ID Sumber Daya. |
| name |
|
Nama sumber daya. |
| properties.rights |
|
Hak yang terkait dengan aturan. |
| type |
|
Jenis sumber daya |
AuthorizationRuleListResult
Respons dari operasi namespace daftar.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Tautkan ke kumpulan hasil berikutnya. Tidak kosong jika nilai berisi daftar aturan otorisasi yang tidak lengkap. |
| value |
Hasil operasi aturan otorisasi daftar. |
ErrorResponse
Respons kesalahan menunjukkan layanan Relay tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan.
| Name | Type | Description |
|---|---|---|
| code |
|
Kode Kesalahan. |
| message |
|
Pesan kesalahan yang menunjukkan mengapa operasi gagal. |